[FFmpeg-cvslog] tests/fate-run: Allow multiple inputs for transcode()
Andreas Rheinhardt
git at videolan.org
Fri Oct 8 00:22:42 EEST 2021
ffmpeg | branch: master | Andreas Rheinhardt <andreas.rheinhardt at outlook.com> | Sun Aug 29 07:38:32 2021 +0200| [0a0204c48ad11f92e7a7c306d3b7f24bb280e6d0] | committer: Andreas Rheinhardt
tests/fate-run: Allow multiple inputs for transcode()
This allows nicer tests by having a greater range of inputs available
(without requiring adding further samples to the fate-suite).
Signed-off-by: Andreas Rheinhardt <andreas.rheinhardt at outlook.com>
> http://git.videolan.org/gitweb.cgi/ffmpeg.git/?a=commit;h=0a0204c48ad11f92e7a7c306d3b7f24bb280e6d0
---
tests/fate-run.sh | 5 +++--
1 file changed, 3 insertions(+), 2 deletions(-)
diff --git a/tests/fate-run.sh b/tests/fate-run.sh
index a16ce28a45..87b5539296 100755
--- a/tests/fate-run.sh
+++ b/tests/fate-run.sh
@@ -232,12 +232,13 @@ transcode(){
enc_opt=$4
final_decode=$5
ffprobe_opts=$7
+ additional_inputs=$8
encfile="${outdir}/${test}.${enc_fmt}"
test "$6" = -keep || cleanfiles="$cleanfiles $encfile"
tsrcfile=$(target_path $srcfile)
tencfile=$(target_path $encfile)
- ffmpeg -f $src_fmt $DEC_OPTS -i $tsrcfile $ENC_OPTS $enc_opt $FLAGS \
- -f $enc_fmt -y $tencfile || return
+ ffmpeg -f $src_fmt $DEC_OPTS -i $tsrcfile $additional_inputs \
+ $ENC_OPTS $enc_opt $FLAGS -f $enc_fmt -y $tencfile || return
do_md5sum $encfile
echo $(wc -c $encfile)
ffmpeg $DEC_OPTS -i $tencfile $ENC_OPTS $FLAGS $final_decode \
More information about the ffmpeg-cvslog
mailing list